export type AvatarPosition = 'left' | 'center' | 'right';

export interface AvatarState {
    position: AvatarPosition;
    isVisible: boolean;
    isAnimating: boolean;
}

export interface AvatarConfig {
    size: number;
    color: string;
    animationDuration: number;
} 