interface CanvasConfig {
    accessToken: string;
    baseUrl: string;
    defaultCourseId: number;
}

const canvasConfig: CanvasConfig = {
    accessToken: process.env.VITE_CANVAS_ACCESS_TOKEN || '',
    baseUrl: process.env.VITE_CANVAS_API_BASE_URL || 'https://canvas.instructure.com/api/v1',
    defaultCourseId: parseInt(process.env.VITE_CANVAS_DEFAULT_COURSE_ID || '1', 10),
};

export default canvasConfig; 