#!/bin/bash
set -e
mkdir -p certs
openssl req -x509 -nodes -days 365 -newkey rsa:2048 \
  -keyout certs/fusero-selfsigned.key \
  -out certs/fusero-selfsigned.crt \
  -subj "/CN=localhost"
echo "Self-signed certificate generated in nginx/certs/" 