import { Entity, ManyToOne } from '@mikro-orm/core';
import { BaseEntity } from '../_BaseEntity';
import { Tenant } from './_Tenant';
import { App } from '../app/_App';
import { User } from '../user/_User';

@Entity()
export class TenantApp extends BaseEntity {
    @ManyToOne(() => Tenant)
    tenant!: Tenant;

    @ManyToOne(() => App)
    app!: App;

    @ManyToOne(() => User)
    user!: User;
}
